org.apache.mina.filter.codec.demux

## Interface MessageEncoderFactory<T>

-     public interface MessageEncoderFactory<T>

  A factory that creates a new instance of `MessageEncoder`.
  Author:
    Apache MINA Project
  See Also:
    `DemuxingProtocolEncoder`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessageEncoder<T>` | `getEncoder()` Creates a new message encoder.

- - ### Method Detail

    - #### getEncoder

          MessageEncoder<T> getEncoder()
                                       throws Exception

      Creates a new message encoder.
      Throws:
        `Exception`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.